<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_231) on Mon Apr 13 20:37:55 EEST 2020 -->
<title>ClientDao</title>
<meta name="date" content="2020-04-13">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ClientDao";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ClientDao.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../dao/AbstractDao.html" title="class in dao"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../dao/OrderDao.html" title="class in dao"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?dao/ClientDao.html" target="_top">Frames</a></li>
<li><a href="ClientDao.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.dao.AbstractDao">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">dao</div>
<h2 title="Class ClientDao" class="title">Class ClientDao</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../dao/AbstractDao.html" title="class in dao">dao.AbstractDao</a>&lt;<a href="../model/Client.html" title="class in model">Client</a>&gt;</li>
<li>
<ul class="inheritance">
<li>dao.ClientDao</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">ClientDao</span>
extends <a href="../dao/AbstractDao.html" title="class in dao">AbstractDao</a>&lt;<a href="../model/Client.html" title="class in model">Client</a>&gt;</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.dao.AbstractDao">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;dao.<a href="../dao/AbstractDao.html" title="class in dao">AbstractDao</a></h3>
<code><a href="../dao/AbstractDao.html#LOGGER">LOGGER</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../dao/ClientDao.html#ClientDao--">ClientDao</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../dao/ClientDao.html#deleteClient-model.Client-">deleteClient</a></span>(<a href="../model/Client.html" title="class in model">Client</a>&nbsp;c)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../model/Client.html" title="class in model">Client</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../dao/ClientDao.html#getAllClients--">getAllClients</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../model/Client.html" title="class in model">Client</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../dao/ClientDao.html#getClientBy-java.lang.String-java.lang.String-">getClientBy</a></span>(java.lang.String&nbsp;camp,
           java.lang.String&nbsp;val)</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../dao/ClientDao.html#inserareClient-model.Client-">inserareClient</a></span>(<a href="../model/Client.html" title="class in model">Client</a>&nbsp;c)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.dao.AbstractDao">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;dao.<a href="../dao/AbstractDao.html" title="class in dao">AbstractDao</a></h3>
<code><a href="../dao/AbstractDao.html#delete-java.lang.String-java.lang.String-java.lang.String-java.lang.String-">delete</a>, <a href="../dao/AbstractDao.html#findAll--">findAll</a>, <a href="../dao/AbstractDao.html#findBy-java.lang.String-java.lang.String-java.lang.String-java.lang.String-">findBy</a>, <a href="../dao/AbstractDao.html#insert-java.lang.Object-">insert</a>, <a href="../dao/AbstractDao.html#update-java.lang.String-java.lang.String-java.lang.String-java.lang.String-">update</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="ClientDao--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ClientDao</h4>
<pre>public&nbsp;ClientDao()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="inserareClient-model.Client-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>inserareClient</h4>
<pre>public&nbsp;void&nbsp;inserareClient(<a href="../model/Client.html" title="class in model">Client</a>&nbsp;c)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>c</code> - clientul care trebuie inserat in tabela</dd>
</dl>
</li>
</ul>
<a name="deleteClient-model.Client-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deleteClient</h4>
<pre>public&nbsp;void&nbsp;deleteClient(<a href="../model/Client.html" title="class in model">Client</a>&nbsp;c)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>c</code> - clientul care trebuie sters din tabela</dd>
</dl>
</li>
</ul>
<a name="getAllClients--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAllClients</h4>
<pre>public&nbsp;java.util.List&lt;<a href="../model/Client.html" title="class in model">Client</a>&gt;&nbsp;getAllClients()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>returneaza toti clientii care se afla in tabela</dd>
</dl>
</li>
</ul>
<a name="getClientBy-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getClientBy</h4>
<pre>public&nbsp;<a href="../model/Client.html" title="class in model">Client</a>&nbsp;getClientBy(java.lang.String&nbsp;camp,
                          java.lang.String&nbsp;val)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>camp</code> - Numele coloanei</dd>
<dd><code>val</code> - Valoarea din acea coloana</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>clientul care s-a gasit</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ClientDao.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../dao/AbstractDao.html" title="class in dao"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../dao/OrderDao.html" title="class in dao"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?dao/ClientDao.html" target="_top">Frames</a></li>
<li><a href="ClientDao.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.dao.AbstractDao">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
